Loading...
Searching...
No Matches
peripheral::G2Production Interface Reference

## Public Member Functions

int | programSerialNumber (in string romcode, in string serial)

## Public Attributes

constant int | SUCCESS = 0
constant int | ERR_INVALID_PARAMS = 1
constant int | ERR_NO_CONFIG_MODE = 2
constant int | ERR_NO_DEVICE = 3
constant int | ERR_OPERATION_FAILED = 4

## Detailed Description

Definition at line 12 of file PeripheralG2Production.idl.

## Member Data Documentation

## ERR_INVALID_PARAMS

constant int peripheral::G2Production::ERR_INVALID_PARAMS = 1

Definition at line 14 of file PeripheralG2Production.idl.

## ERR_NO_CONFIG_MODE

constant int peripheral::G2Production::ERR_NO_CONFIG_MODE = 2

Definition at line 15 of file PeripheralG2Production.idl.

## ERR_NO_DEVICE

constant int peripheral::G2Production::ERR_NO_DEVICE = 3

Definition at line 16 of file PeripheralG2Production.idl.

## ERR_OPERATION_FAILED

constant int peripheral::G2Production::ERR_OPERATION_FAILED = 4

Definition at line 17 of file PeripheralG2Production.idl.

## SUCCESS

constant int peripheral::G2Production::SUCCESS = 0

Definition at line 13 of file PeripheralG2Production.idl.

The documentation for this interface was generated from the following file:

- PeripheralG2Production.idl